From b15a325dda36bf79e16211ec47a10fd361e9b03c Mon Sep 17 00:00:00 2001
From: "Daniel A. Maierhofer" <git@damadmai.at>
Date: Wed, 19 Jun 2019 15:20:45 +0200
Subject: [PATCH] mosquitto: update to 1.6.3.

---
 srcpkgs/mosquitto/files/mosquitto/run |  4 ++++
 srcpkgs/mosquitto/template            | 21 +++++++++++++--------
 2 files changed, 17 insertions(+), 8 deletions(-)
 create mode 100644 srcpkgs/mosquitto/files/mosquitto/run

diff --git a/srcpkgs/mosquitto/files/mosquitto/run b/srcpkgs/mosquitto/files/mosquitto/run
new file mode 100644
index 00000000000..98647f343ba
--- /dev/null
+++ b/srcpkgs/mosquitto/files/mosquitto/run
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+cd /var/lib/mosquitto
+exec chpst -u mosquitto:mosquitto mosquitto -c /etc/mosquitto/mosquitto.conf
diff --git a/srcpkgs/mosquitto/template b/srcpkgs/mosquitto/template
index c3a867fd157..639e13c5665 100644
--- a/srcpkgs/mosquitto/template
+++ b/srcpkgs/mosquitto/template
@@ -1,6 +1,6 @@
 # Template file for 'mosquitto'
 pkgname=mosquitto
-version=1.6.0
+version=1.6.3
 revision=2
 build_style=gnu-makefile
 make_build_args="WITH_TLS_PSK=no WITH_WEBSOCKETS=yes" # PSK not supported by libressl
@@ -9,12 +9,16 @@ make_check_target=test
 conf_files="/etc/mosquitto/mosquitto.conf"
 makedepends="c-ares-devel libressl-devel libwebsockets-devel"
 checkdepends="python bcunit-devel"
-short_desc="MQTT version 3.1/3.1.1 compatible message broker"
+short_desc="MQTT version 3.1/3.1.1/5.0 compatible message broker"
 maintainer="Lukas Braun <koomi@hackerspace-bamberg.de>"
 license="EPL-1.0, BSD-3-Clause-Attribution"
-homepage="http://mosquitto.org"
+homepage="https://mosquitto.org"
 distfiles="${homepage}/files/source/${pkgname}-${version}.tar.gz"
-checksum=bd730d461f5f0adf6740abf2424c76c6d1263db0011fbb073c7a5c7eb8cc188b
+checksum=9ef5cc75f4fe31d7bf50654ddf4728ad9e1ae2e5609a4b42ecbbcb4a209ed17e
+
+system_accounts="_mosquitto"
+mosquitto_homedir="/var/lib/mosquitto"
+make_dirs="/var/lib/mosquitto 0755 ${system_accounts} ${system_accounts}"
 
 post_extract() {
 	case "$XBPS_TARGET_MACHINE" in
@@ -36,6 +40,7 @@ post_install() {
 	vmkdir usr/share/examples/${pkgname}
 	mv ${DESTDIR}/etc/${pkgname}/*.example \
 		${DESTDIR}/usr/share/examples/${pkgname}
+	vsv mosquitto
 }
 
 mosquitto-clients_package() {
@@ -49,14 +54,14 @@ mosquitto-clients_package() {
 }
 
 libmosquitto_package() {
-	short_desc="MQTT version 3.1/3.1.1 client library"
+	short_desc="MQTT version 3.1/3.1.1/5.0 client library"
 	pkg_install() {
 		vmove "usr/lib/libmosquitto.so.*"
 	}
 }
 
 libmosquitto-devel_package() {
-	short_desc="MQTT version 3.1/3.1.1 client library - development files"
+	short_desc="MQTT version 3.1/3.1.1/5.0 client library - development files"
 	depends="libmosquitto-${version}_${revision}"
 	pkg_install() {
 		vmove usr/include/mosquitto.h
@@ -69,14 +74,14 @@ libmosquitto-devel_package() {
 }
 
 libmosquittopp_package() {
-	short_desc="MQTT version 3.1/3.1.1 C++ client library"
+	short_desc="MQTT version 3.1/3.1.1/5.0 C++ client library"
 	pkg_install() {
 		vmove "usr/lib/libmosquittopp.so.*"
 	}
 }
 
 libmosquittopp-devel_package() {
-	short_desc="MQTT version 3.1/3.1.1 C++ client library - development files"
+	short_desc="MQTT version 3.1/3.1.1/5.0 C++ client library - development files"
 	depends="libmosquittopp-${version}_${revision}"
 	pkg_install() {
 		vmove usr/include/mosquittopp.h
